## rocksndiamonds 4.2.2.1+dfsg

=== Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

# command name of your favorite ANSI C compiler
# (this must be set to "cc" for some systems)
CC = gcc

# command name of GNU make on your system
# (this must be set to "gmake" for some systems)
MAKE = make

# directory for read-only game data (like graphics, sounds, levels)
# (this directory is usually the game's installation directory)
# default is '.' to be able to run program without installation
# RO_GAME_DIR = .
# use the following setting for Debian / Ubuntu installations:
# RO_GAME_DIR = /usr/share/games/rocksndiamonds

# directory for writable game data (like highscore files)
# (if no "scores" directory exists, scores are saved in user data directory)
# default is '.' to be able to run program without installation
# RW_GAME_DIR = .
# use the following setting for Debian / Ubuntu installations:
# RW_GAME_DIR = /var/games/rocksndiamonds

# uncomment if system has no joystick include file
# JOYSTICK = -DNO_JOYSTICK

# path for cross-compiling (only needed for non-native Windows build)
CROSS_PATH_WIN32 = /usr/local/cross-tools/i686-w64-mingw32
CROSS_PATH_WIN64 = /usr/local/cross-tools/x86_64-w64-mingw32


# -----------------------------------------------------------------------------
# there should be no need to change anything below
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

SRC_DIR = src
ANDROID_DIR ?= build-projects/android

MAKE_CMD = $(MAKE) -C $(SRC_DIR)
MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all:
	@$(MAKE_CMD)

cross-win32:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32

cross-win64:
	@PATH=$(CROSS_PATH_WIN64)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win64

android-prepare:
	@$(MAKE_CMD_ANDROID) prepare

android-package:
	@$(MAKE_CMD_ANDROID) package

android-clean:
	@$(MAKE_CMD_ANDROID) clean

android: android-package

emscripten:
	@emmake $(MAKE_CMD) PLATFORM=emscripten

clean:
	@$(MAKE_CMD) clean

clean-git:
	@$(MAKE_CMD) clean-git

clean-android: android-clean


# -----------------------------------------------------------------------------
# development targets
# -----------------------------------------------------------------------------

MAKE_ENGINETEST = ./Scripts/make_enginetest.sh
MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh

auto-conf:
	@$(MAKE_CMD) auto-conf

conf-time:
	@$(MAKE_CMD) conf-time

conf-hash:
	@$(MAKE_CMD) conf-hash

run: all
	@$(MAKE_CMD) run

gdb: all
	@$(MAKE_CMD) gdb

valgrind: all
	@$(MAKE_CMD) valgrind

tags:
	$(MAKE_CMD) tags

depend dep:
	$(MAKE_CMD) depend

enginetest: all
	$(MAKE_ENGINETEST)

enginetestcustom: all
	$(MAKE_ENGINETEST) custom

enginetestfast: all
	$(MAKE_ENGINETEST) fast

enginetestnew: all
	$(MAKE_ENGINETEST) new

leveltest: all
	$(MAKE_ENGINETEST) leveltest

levelsketch_images: all
	$(MAKE_LEVELSKETCH)


# -----------------------------------------------------------------------------
# distribution targets
# -----------------------------------------------------------------------------

MAKE_DIST = ./Scripts/make_dist.sh

dist-clean:
	@$(MAKE_CMD) dist-clean

dist-clean-android:
	@$(MAKE_CMD_ANDROID) dist-clean

dist-build-linux:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-win32:
	@BUILD_DIST=TRUE $(MAKE) cross-win32

dist-build-win64:
	@BUILD_DIST=TRUE $(MAKE) cross-win64

dist-build-mac:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-android:
	@BUILD_DIST=TRUE $(MAKE) android

dist-build-emscripten:
	@BUILD_DIST=TRUE $(MAKE) emscripten

dist-package-linux:
	$(MAKE_DIST) package linux

dist-package-win32:
	$(MAKE_DIST) package win32

dist-package-win64:
	$(MAKE_DIST) package win64

dist-package-mac:
	$(MAKE_DIST) package mac

dist-package-android:
	$(MAKE_DIST) package android

dist-copy-package-linux:
	$(MAKE_DIST) copy-package linux

dist-copy-package-win32:
	$(MAKE_DIST) copy-package win32

dist-copy-package-win64:
	$(MAKE_DIST) copy-package win64

dist-copy-package-mac:
	$(MAKE_DIST) copy-package mac

dist-copy-package-android:
	$(MAKE_DIST) copy-package android

dist-upload-linux:
	$(MAKE_DIST) upload linux

dist-upload-win32:
	$(MAKE_DIST) upload win32

dist-upload-win64:
	$(MAKE_DIST) upload win64

dist-upload-mac:
	$(MAKE_DIST) upload mac

dist-upload-android:
	$(MAKE_DIST) upload android

dist-package-all:
	$(MAKE) dist-package-linux
	$(MAKE) dist-package-win32
	$(MAKE) dist-package-win64
	$(MAKE) dist-package-mac
	$(MAKE) dist-package-android

dist-copy-package-all:
	$(MAKE) dist-copy-package-linux
	$(MAKE) dist-copy-package-win32
	$(MAKE) dist-copy-package-win64
	$(MAKE) dist-copy-package-mac
	$(MAKE) dist-copy-package-android

dist-upload-all:
	$(MAKE) dist-upload-linux
	$(MAKE) dist-upload-win32
	$(MAKE) dist-upload-win64
	$(MAKE) dist-upload-mac
	$(MAKE) dist-upload-android

dist-release-all: dist-package-all dist-copy-package-all dist-upload-all

package-all: dist-package-all

copy-package-all: dist-copy-package-all

upload-all: dist-upload-all

release-all: dist-release-all

=== src/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# src/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

ifndef PLATFORM				# unknown platform -- default to Unix
PLATFORM = unix
endif

PLATFORM_BASE = $(PLATFORM)

ifeq ($(PLATFORM),cross-win32)
PLATFORM_BASE = cross-win
endif
ifeq ($(PLATFORM),cross-win64)
PLATFORM_BASE = cross-win
endif

AR = ar
RANLIB = ranlib
ETAGS = etags
STRIP = strip
RM = rm -f

CONVERT = convert
WINDRES = windres

CONVERT_ICON_ARGS = -transparent black -background transparent

PROGBASE = rocksndiamonds
PROGNAME = ../$(PROGBASE)

EDITION ?= default


# -----------------------------------------------------------------------------
# configuring platform
# -----------------------------------------------------------------------------

ifeq ($(PLATFORM),unix)			# compiling on Unix/Linux (generic)
PROFILING_FLAGS = -pg
endif

ifeq ($(PLATFORM_BASE),cross-win)	# cross-compiling to Windows
PROGNAME = ../$(PROGBASE).exe
EXTRA_LDFLAGS = -lshfolder -lwsock32
endif

ifeq ($(PLATFORM),emscripten)		# compiling with Emscripten
PROGNAME = ../$(PROGBASE).js
CC = emcc
AR = emar
RANLIB = emranlib
STRIP = true
endif

ifdef BUILD_DIST			# distribution build
ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
MAC_TARGET_VERSION_MIN = 10.7
EXTRA_FLAGS_MAC = -mmacosx-version-min=$(MAC_TARGET_VERSION_MIN)
EXTRA_CFLAGS = $(EXTRA_FLAGS_MAC)
EXTRA_LDFLAGS = $(EXTRA_FLAGS_MAC)
MACOSX_DEPLOYMENT_TARGET = $MAC_TARGET_VERSION_MIN
endif
endif


# -----------------------------------------------------------------------------
# configuring target
# -----------------------------------------------------------------------------

ifndef TARGET				# auto-detect compiling for SDL2
  SDL_VERSION := $(shell sdl2-config --version 2> /dev/null)
  ifdef SDL_VERSION
    TARGET = sdl2
  else
    $(error SDL2 library not found)
  endif
endif

# $(info Using SDL version $(SDL_VERSION) [TARGET == $(TARGET)])

ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
ifeq ($(PLATFORM),emscripten)
SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_ZLIB=1
SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]'
EXTRA_CFLAGS = $(SDL_LIBS)
EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=65536000 -s ALLOW_MEMORY_GROWTH=1 --preload-file ../graphics/ --preload-file ../sounds/ --preload-file ../levels/ --preload-file ../music/ -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2
else
SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
endif

SYS_CFLAGS := -DTARGET_SDL2 $(shell sdl2-config --cflags)
SYS_LDFLAGS := $(SDL_LIBS) $(shell sdl2-config --libs) -lm -lz
endif


# -----------------------------------------------------------------------------
# configuring compile-time definitions
# -----------------------------------------------------------------------------

ifdef RO_GAME_DIR			# path to read-only game data specified
CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
endif

ifdef RW_GAME_DIR			# path to writable game data specified
CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
endif

CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)

DEBUG = -DDEBUG -g

# PROFILING = $(PROFILING_FLAGS)

# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -O2 -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
OPTIONS = $(DEBUG) -Wall -Wstrict-prototypes -Wmissing-prototypes
# OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
# OPTIONS = -O2 -Wall -ansi -pedantic
# OPTIONS = -O2 -Wall
# OPTIONS = -O2

ifdef BUILD_DIST			# distribution build
SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
		       sed -e "s%-rpath,[^ ]*%-rpath,'\$$ORIGIN/lib'%")
OPTIONS = -O2 -Wall
endif

CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS)


SRCS =	main.c		\
	conf_gfx.c	\
	conf_snd.c	\
	conf_mus.c	\
	conf_hlp.c	\
	init.c		\
	config.c	\
	events.c	\
	tools.c		\
	screens.c	\
	game.c		\
	editor.c	\
	files.c		\
	tape.c		\
	anim.c		\
	network.c	\
	netserv.c

OBJS =	main.o		\
	conf_gfx.o	\
	conf_snd.o	\
	conf_mus.o	\
	conf_hlp.o	\
	init.o		\
	config.o	\
	events.o	\
	tools.o		\
	screens.o	\
	game.o		\
	editor.o	\
	files.o		\
	tape.o		\
	anim.o		\
	network.o	\
	netserv.o

CNFS =	conf_gfx.h	\
	conf_snd.h	\
	conf_mus.h	\
	conf_chr.c	\
	conf_chr.h	\
	conf_cus.c	\
	conf_cus.h	\
	conf_grp.c	\
	conf_grp.h	\
	conf_e2g.c	\
	conf_esg.c	\
	conf_e2s.c	\
	conf_fnt.c	\
	conf_g2s.c	\
	conf_g2m.c	\
	conf_var.c	\
	conf_act.c

CNFS_CMD = ../build-scripts/create_element_defs.pl

TIMESTAMP_FILE = conftime.h
TIMESTAMP_FORMAT = %Y-%m-%d %H:%M

# use SOURCE_DATE_EPOCH, or else last Git commit date, or else current date
SOURCE_DATE_EPOCH ?= $(shell test -d ../.git && test `git ls-files -m | wc -l` -eq 0 && git show -s --format=%ct || date +%s)

# get source date string from either GNU / Linux or BSD / Mac OS X style "date"
SOURCE_DATE_STRING := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)" 2>/dev/null || date -u "+$(TIMESTAMP_FORMAT)")

COMMIT_HASH_FILE = confhash.h
COMMIT_HASH_NONE = "[changed files]"

# get last Git commit hash, if no files were changed
SOURCE_HASH_STRING ?= $(shell test -d ../.git && test `git ls-files -m | wc -l` -eq 0 && git show -s --format=%h || echo "$(COMMIT_HASH_NONE)")

LIBGAME_DIR = libgame
LIBGAME = $(LIBGAME_DIR)/libgame.a

GAME_EM_DIR = game_em
GAME_EM = $(GAME_EM_DIR)/game_em.a

GAME_SP_DIR = game_sp
GAME_SP = $(GAME_SP_DIR)/game_sp.a

GAME_MM_DIR = game_mm
GAME_MM = $(GAME_MM_DIR)/game_mm.a

RNDLIBS = $(LIBGAME) $(GAME_EM) $(GAME_SP) $(GAME_MM)
AUTOCONF = conf_gfx.h conf_snd.h conf_mus.h

ICONBASE = windows_icon
ICON_BASEPATH = ../Special/Icons/windows_icons

ifeq ($(PLATFORM_BASE),cross-win)
ICON_PATH = $(ICON_BASEPATH)/$(EDITION)
ICON = $(ICONBASE).o
endif

GRAPHICS_DIR = ../graphics


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir game_mm_dir $(PROGNAME) graphics_dir

$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(COMMIT_HASH_FILE) $(OBJS) $(ICON)
	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
ifdef BUILD_DIST
	$(STRIP) $(PROGNAME)
endif

libgame_dir:
	@$(MAKE) -C $(LIBGAME_DIR)
$(LIBGAME):
	@$(MAKE) -C $(LIBGAME_DIR)

game_em_dir:
	@$(MAKE) -C $(GAME_EM_DIR)
$(GAME_EM):
	@$(MAKE) -C $(GAME_EM_DIR)

game_sp_dir:
	@$(MAKE) -C $(GAME_SP_DIR)
$(GAME_SP):
	@$(MAKE) -C $(GAME_SP_DIR)

game_mm_dir:
	@$(MAKE) -C $(GAME_MM_DIR)
$(GAME_MM):
	@$(MAKE) -C $(GAME_MM_DIR)

auto-conf:
	@for i in $(CNFS); do			\
		echo "$(CNFS_CMD) $$i > $$i";	\
		$(CNFS_CMD) $$i > $$i;		\
	done

auto-conf-clean:
	@for i in $(CNFS); do			\
		echo "$(RM) $$i";		\
		$(RM) $$i;			\
	done

conf_gfx.h: conf_gfx.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf_snd.h: conf_snd.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf_mus.h: conf_mus.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf-time:
	@echo '#define SOURCE_DATE_STRING "$(SOURCE_DATE_STRING)"' \
	> $(TIMESTAMP_FILE)

conf-hash:
	@echo '#define SOURCE_HASH_STRING "$(SOURCE_HASH_STRING)"' \
	> $(COMMIT_HASH_FILE)

$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
	@$(MAKE) conf-time

$(COMMIT_HASH_FILE): $(SRCS) $(RNDLIBS)
	@$(MAKE) conf-hash

$(ICON):
#	$(CONVERT) $(ICON32X32) $(CONVERT_ICON_ARGS) $(ICONBASE).ico
	$(CONVERT) $(ICON_PATH)/*.png $(CONVERT_ICON_ARGS) $(ICONBASE).ico
	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

graphics_dir:
	@test -f $(GRAPHICS_DIR)/Makefile && $(MAKE) -C $(GRAPHICS_DIR) || true

clean-obj:
	$(MAKE) -C $(LIBGAME_DIR) clean
	$(MAKE) -C $(GAME_EM_DIR) clean
	$(MAKE) -C $(GAME_SP_DIR) clean
	$(MAKE) -C $(GAME_MM_DIR) clean
	$(RM) $(OBJS)
	$(RM) $(RNDLIBS)

clean-ico:
	$(RM) $(ICONBASE).ico
	$(RM) $(ICONBASE).o

clean-bin:
	$(RM) $(PROGNAME)
	$(RM) $(PROGNAME).exe
	$(RM) $(PROGNAME).js
	$(RM) $(PROGNAME).wasm
	$(RM) $(PROGNAME).data

clean: clean-obj clean-ico clean-bin

clean-git: clean auto-conf-clean
	@$(MAKE) -C $(GRAPHICS_DIR) clean

dist-clean: clean-obj clean-ico


# -----------------------------------------------------------------------------
# run and test targets
# -----------------------------------------------------------------------------

run:
	cd .. && ./$(PROGBASE) --verbose

gdb:
	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)

valgrind:
	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

tags:
	$(ETAGS) *.[ch] $(LIBGAME_DIR)/*.[ch] $(GAME_EM_DIR)/*.[ch] $(GAME_SP_DIR)/*.[ch] $(GAME_MM_DIR)/*.[ch]

depend:
	$(MAKE) -C $(LIBGAME_DIR) depend
	$(MAKE) -C $(GAME_EM_DIR) depend
	$(MAKE) -C $(GAME_SP_DIR) depend
	$(MAKE) -C $(GAME_MM_DIR) depend
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/libgame/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# src/libgame/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	system.c	\
	gadgets.c	\
	text.c		\
	sound.c		\
	joystick.c	\
	snapshot.c	\
	image.c		\
	random.c	\
	hash.c		\
	setup.c		\
	misc.c		\
	sdl.c		\
	zip/ioapi.c	\
	zip/iowin32.c	\
	zip/unzip.c	\
	zip/miniunz.c

OBJS =	system.o	\
	gadgets.o	\
	text.o		\
	sound.o		\
	snapshot.o	\
	joystick.o	\
	image.o		\
	random.o	\
	hash.o		\
	setup.o		\
	misc.o		\
	sdl.o		\
	zip/ioapi.o	\
	zip/iowin32.o	\
	zip/unzip.o	\
	zip/miniunz.o

LIBGAME = libgame.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(LIBGAME)

$(LIBGAME): $(OBJS)
	$(AR) cr $(LIBGAME) $(OBJS)
	$(RANLIB) $(LIBGAME)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c -o $*.o

clean:
	$(RM) $(OBJS)
	$(RM) $(LIBGAME)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
rocksndiamonds (4.2.2.1+dfsg-2) unstable; urgency=medium

  * Updated German debconf template translation, thanks to Helge
    Kreutzmann. Closes: #980877.

 -- Stephen Kitt <skitt@debian.org>  Mon, 29 Mar 2021 21:14:16 +0200

rocksndiamonds (4.2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Emerald Mine Club.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Jan 2021 22:56:09 +0100

rocksndiamonds (4.2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Emerald Mine Club.
  * Add a warning listing large downloads. Closes: #658338. Thanks to
    Américo Monteiro, Luca Monducci, Jonatan Porras, Yuri Kozlov,
    Frans Spiesschaert, and Jean-Pierre Giraud for the updated
    translations. Closes: #978089, #978129, #978579, #979111, 979182.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Jan 2021 20:52:55 +0100

rocksndiamonds (4.2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 16 Dec 2020 20:58:12 +0100

rocksndiamonds (4.2.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 Dec 2020 18:35:15 +0100

rocksndiamonds (4.2.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/watch to version 4, simplify dversionmangle.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Nov 2020 21:11:57 +0100

rocksndiamonds (4.2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Oct 2020 20:26:01 +0200

rocksndiamonds (4.2.0.1+dfsg-1) unstable; urgency=medium

  * Exclude the Android build files from future downloads.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Sep 2020 09:01:23 +0200

rocksndiamonds (4.1.4.1+dfsg-2) unstable; urgency=medium

  * Avoid multiple definitions, to allow building with -fno-common.
    Closes: #966063.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jul 2020 16:15:38 +0200

=== debian/control ===
Source: rocksndiamonds
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry E. Oboukhov <unera@debian.org>, Stephen Kitt <skitt@debian.org>
Section: contrib/games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-net-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
Homepage: http://artsoft.org
Rules-Requires-Root: no

Package: rocksndiamonds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         p7zip,
         wget,
         unzip,
         zip
Pre-Depends: debconf | debconf-2.0
Conflicts: rocksndiamonds-data,
           rocksndiamonds-zelda,
           rocks-n-diamonds
Description: arcade-style game
 This package provides the game engine for Rocks'n'Diamonds, an arcade
 game in the tradition of "Boulder Dash", "Emerald Mine", "Supaplex",
 "Sokoban", etcetera. Game levels emulating all of these can be
 downloaded from ArtSoft.org.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
LEVEL_DIR := /usr/share/games/rocksndiamonds

%:
	dh $@

override_dh_auto_build:
	touch src/conf_*.h
	dh_auto_build -- RO_GAME_DIR=$(LEVEL_DIR)

override_dh_auto_install:
	set -e; \
	for file in postinst preinst prerm; do \
		cp debian/$$file.in debian/$$file; \
		perl -pi -e 's/#VERSION#/$(UPSTREAM_VERSION)/g' \
			debian/$$file; \
	done
	mv rocksndiamonds rocksndiamonds-bin
	install -m 0755 debian/start_binary.sh rocksndiamonds

override_dh_auto_clean:
	make clean
	rm -fr src/conftime.h rocksndiamonds-bin \
		debian/postinst debian/preinst debian/prerm
	debconf-updatepo

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto \
https://artsoft.org/rocksndiamonds/download/ \
(?:.*/|.*=|)rocksndiamonds[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## rocksndiamonds 4.3.1.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 WINDRES = windres
 
 CONVERT_ICON_ARGS = -transparent black -background transparent
+
+DEBUGGER = gdb -batch -ex "run" -ex "bt"
 
 PROGBASE = rocksndiamonds
 PROGNAME = ../$(PROGBASE)
@@ -66,8 +68,9 @@
 STRIP = true
 endif
 
+ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
+DEBUGGER = lldb --batch -o "run" -k "bt" -k "quit"
 ifdef BUILD_DIST			# distribution build
-ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
 MAC_TARGET_VERSION_MIN = 10.7
 EXTRA_FLAGS_MAC = -mmacosx-version-min=$(MAC_TARGET_VERSION_MIN)
 EXTRA_CFLAGS = $(EXTRA_FLAGS_MAC)
@@ -97,7 +100,7 @@
 SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_ZLIB=1
 SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]'
 EXTRA_CFLAGS = $(SDL_LIBS)
-EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=65536000 -s ALLOW_MEMORY_GROWTH=1 --preload-file ../graphics/ --preload-file ../sounds/ --preload-file ../levels/ --preload-file ../music/ -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2
+EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=81920000 -s ALLOW_MEMORY_GROWTH=1 --preload-file ../conf/ --preload-file ../docs/ --preload-file ../levels/ --preload-file ../graphics/ --preload-file ../sounds/ --preload-file ../music/ -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2 -lidbfs.js
 else
 SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
 endif
@@ -111,15 +114,11 @@
 # configuring compile-time definitions
 # -----------------------------------------------------------------------------
 
-ifdef RO_GAME_DIR			# path to read-only game data specified
-CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
-endif
-
-ifdef RW_GAME_DIR			# path to writable game data specified
-CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
-endif
-
-CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)
+ifdef BASE_PATH					# path to read-only game data
+CONFIG_BASE_PATH = -DBASE_PATH="\"$(BASE_PATH)\""
+endif
+
+CONFIG = $(CONFIG_BASE_PATH) $(JOYSTICK)
 
 DEBUG = -DDEBUG -g
 
@@ -133,6 +132,10 @@
 # OPTIONS = -O2 -Wall -ansi -pedantic
 # OPTIONS = -O2 -Wall
 # OPTIONS = -O2
+
+ifdef BUILD_TEST			# test build
+OPTIONS := $(OPTIONS) -DTESTING
+endif
 
 ifdef BUILD_DIST			# distribution build
 SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
@@ -189,6 +192,8 @@
 	conf_cus.h	\
 	conf_grp.c	\
 	conf_grp.h	\
+	conf_emp.c	\
+	conf_emp.h	\
 	conf_e2g.c	\
 	conf_esg.c	\
 	conf_e2s.c	\
@@ -354,7 +359,7 @@
 	cd .. && ./$(PROGBASE) --verbose
 
 gdb:
-	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)
+	cd .. && $(DEBUGGER) $(PROGBASE)
 
 valgrind:
 	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out

=== src/game_mm/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1989-2017 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Mirror Magic game engine is based on:
# - Mirror Magic II by Holger Schemel (Linux/DOS/Windows version, 1995)
# - Mindbender by Holger Schemel (Amiga version, 1989)
# -----------------------------------------------------------------------------
# src/game_mm/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	mm_init.c		\
	mm_main.c		\
	mm_game.c		\
	mm_files.c		\
	mm_tools.c

OBJS =	mm_init.o		\
	mm_main.o		\
	mm_game.o		\
	mm_files.o		\
	mm_tools.o

GAME_MM = game_mm.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_MM)

$(GAME_MM): $(OBJS)
	$(AR) cr $(GAME_MM) $(OBJS)
	$(RANLIB) $(GAME_MM)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_MM)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/libgame/Makefile ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	image.c		\
 	random.c	\
 	hash.c		\
+	http.c		\
+	base64.c	\
 	setup.c		\
 	misc.c		\
 	sdl.c		\
@@ -39,6 +41,8 @@
 	image.o		\
 	random.o	\
 	hash.o		\
+	http.o		\
+	base64.o	\
 	setup.o		\
 	misc.o		\
 	sdl.o		\

=== debian/changelog ===
rocksndiamonds (4.3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add support for Andreas Buschbeck’s levelsets.
  * Update the Emerald Mine Club level collection.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Feb 2022 20:56:36 +0100

rocksndiamonds (4.3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 14 Jan 2022 09:55:02 +0100

rocksndiamonds (4.3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Dec 2021 17:22:01 +0100

rocksndiamonds (4.3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release, with a centralised high score server (not used
    by default).
  * Update the Swedish debconf template translation; thanks Martin
    Bagge! Closes: #993890.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Nov 2021 14:12:54 +0100

rocksndiamonds (4.2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Emerald Mine Club.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Sep 2021 12:24:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org

## rocksndiamonds 4.3.2.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: http://artsoft.org

## rocksndiamonds 4.3.2.0+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -62,10 +62,12 @@
 
 ifeq ($(PLATFORM),emscripten)		# compiling with Emscripten
 PROGNAME = ../$(PROGBASE).js
+DATA_FILE = $(PROGBASE).data
 CC = emcc
 AR = emar
 RANLIB = emranlib
 STRIP = true
+FILE_PACKAGER = file_packager
 endif
 
 ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
@@ -97,10 +99,12 @@
 
 ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
 ifeq ($(PLATFORM),emscripten)
-SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_ZLIB=1
-SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]'
+SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_MODPLUG=1 -s USE_MPG123=1 -s USE_ZLIB=1
+SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]' -s SDL2_MIXER_FORMATS='["mod","mp3"]'
 EXTRA_CFLAGS = $(SDL_LIBS)
-EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=81920000 -s ALLOW_MEMORY_GROWTH=1 --preload-file ../conf/ --preload-file ../docs/ --preload-file ../levels/ --preload-file ../graphics/ --preload-file ../sounds/ --preload-file ../music/ -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2 -lidbfs.js
+EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=81920000 -s ALLOW_MEMORY_GROWTH=1 -s FORCE_FILESYSTEM -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2 -lidbfs.js
+DATA_DIRS = conf docs levels graphics sounds music
+FILE_PACKAGER_ARGS = --preload $(DATA_DIRS) --js-output=$(DATA_FILE).js
 else
 SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
 endif
@@ -162,6 +166,7 @@
 	files.c		\
 	tape.c		\
 	anim.c		\
+	api.c		\
 	network.c	\
 	netserv.c
 
@@ -180,6 +185,7 @@
 	files.o		\
 	tape.o		\
 	anim.o		\
+	api.o		\
 	network.o	\
 	netserv.o
 
@@ -257,6 +263,9 @@
 ifdef BUILD_DIST
 	$(STRIP) $(PROGNAME)
 endif
+ifeq ($(PLATFORM),emscripten)
+	(cd .. ; $(FILE_PACKAGER) $(DATA_FILE) $(FILE_PACKAGER_ARGS))
+endif
 
 libgame_dir:
 	@$(MAKE) -C $(LIBGAME_DIR)

=== debian/changelog ===
rocksndiamonds (4.3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 28 May 2022 13:36:48 +0200

## rocksndiamonds 4.3.4.0+dfsg

=== debian/changelog ===
rocksndiamonds (4.3.4.0+dfsg-2) unstable; urgency=medium

  * Add Brazilian Portuguese debconf template translation, thanks Paulo
    Henrique de Lima Santana! Closes: #1026420.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Dec 2022 12:24:17 +0100

rocksndiamonds (4.3.4.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Stephen Kitt ]
  * Account for -linux suffixes in debian/watch.
  * New upstream release.
  * Update Lintian overrides.

 -- Stephen Kitt <skitt@debian.org>  Fri, 30 Dec 2022 17:00:59 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
-Homepage: http://artsoft.org
+Homepage: https://artsoft.org
 Rules-Requires-Root: no
 
 Package: rocksndiamonds

## rocksndiamonds 4.3.5.1+dfsg

=== debian/changelog ===
rocksndiamonds (4.3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Feb 2023 08:42:40 +0100

rocksndiamonds (4.3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Feb 2023 13:59:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: https://artsoft.org

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_build:
 	touch src/conf_*.h
-	dh_auto_build -- RO_GAME_DIR=$(LEVEL_DIR)
+	dh_auto_build -- BASE_PATH=$(LEVEL_DIR)
 
 override_dh_auto_install:
 	set -e; \
@@ -28,6 +28,6 @@
 
 override_dh_auto_clean:
 	make clean
-	rm -fr src/conftime.h rocksndiamonds-bin \
+	rm -fr src/confhash.h src/conftime.h rocksndiamonds-bin \
 		debian/postinst debian/preinst debian/prerm
 	debconf-updatepo

## rocksndiamonds 4.3.6.0+dfsg

=== debian/changelog ===
rocksndiamonds (4.3.6.0+dfsg-1) unstable; urgency=medium

  * Update Turkish translation of debconf messages; thanks Atila KOÇ!
    Closes: #1038722.
  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Jun 2023 16:30:53 +0200

## rocksndiamonds 4.3.8.1+dfsg

=== src/game_sp/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Supaplex game engine is based on:
# - MegaPlex version 0.5 beta release xmas 2001 by Frank Schindler
# - Speed Fix 6.3+ by Herman Perk
# - Supaplex by Michael Stopp & Philip Jespersen
# -----------------------------------------------------------------------------
# src/game_sp/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	init.c			\
	file.c			\
	main.c			\
	vb_lib.c		\
				\
	ASM.c			\
	BugsTerminals.c		\
	DDScrollBuffer.c	\
	DDSpriteBuffer.c	\
	Display.c		\
	DoGameStuff.c		\
	Electrons.c		\
	Explosions.c		\
	Globals.c		\
	Infotrons.c		\
	InitGameConditions.c	\
	Input.c			\
	MainForm.c		\
	MainGameLoop.c		\
	Murphy.c		\
	OrangeDisk.c		\
	SnikSnaks.c		\
	Sound.c			\
	Zonk.c

OBJS =	init.o			\
	file.o			\
	main.o			\
	vb_lib.o		\
				\
	ASM.o			\
	BugsTerminals.o		\
	DDScrollBuffer.o	\
	DDSpriteBuffer.o	\
	Display.o		\
	DoGameStuff.o		\
	Electrons.o		\
	Explosions.o		\
	Globals.o		\
	Infotrons.o		\
	InitGameConditions.o	\
	Input.o			\
	MainForm.o		\
	MainGameLoop.o		\
	Murphy.o		\
	OrangeDisk.o		\
	SnikSnaks.o		\
	Sound.o			\
	Zonk.o

GAME_SP = game_sp.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_SP)

$(GAME_SP): $(OBJS)
	$(AR) cr $(GAME_SP) $(OBJS)
	$(RANLIB) $(GAME_SP)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_SP)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
rocksndiamonds (4.3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Depend on 7zip instead of p7zip. Closes: #1063615.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Feb 2024 21:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${perl:Depends},
-         p7zip,
+         7zip,
          wget,
          unzip,
          zip

## rocksndiamonds 4.3.8.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,19 +21,12 @@
 # (this must be set to "gmake" for some systems)
 MAKE = make
 
-# directory for read-only game data (like graphics, sounds, levels)
+# directory for (read-only) game data (like graphics, sounds, levels)
 # (this directory is usually the game's installation directory)
 # default is '.' to be able to run program without installation
-# RO_GAME_DIR = .
+# BASE_PATH = .
 # use the following setting for Debian / Ubuntu installations:
-# RO_GAME_DIR = /usr/share/games/rocksndiamonds
-
-# directory for writable game data (like highscore files)
-# (if no "scores" directory exists, scores are saved in user data directory)
-# default is '.' to be able to run program without installation
-# RW_GAME_DIR = .
-# use the following setting for Debian / Ubuntu installations:
-# RW_GAME_DIR = /var/games/rocksndiamonds
+# BASE_PATH = /usr/share/games/rocksndiamonds
 
 # uncomment if system has no joystick include file
 # JOYSTICK = -DNO_JOYSTICK
@@ -96,7 +89,7 @@
 # development targets
 # -----------------------------------------------------------------------------
 
-MAKE_ENGINETEST = ./Scripts/make_enginetest.sh
+MAKE_ENGINETEST = ./tests/enginetest/enginetest.sh
 MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh
 
 auto-conf:
@@ -126,18 +119,6 @@
 enginetest: all
 	$(MAKE_ENGINETEST)
 
-enginetestcustom: all
-	$(MAKE_ENGINETEST) custom
-
-enginetestfast: all
-	$(MAKE_ENGINETEST) fast
-
-enginetestnew: all
-	$(MAKE_ENGINETEST) new
-
-leveltest: all
-	$(MAKE_ENGINETEST) leveltest
-
 levelsketch_images: all
 	$(MAKE_LEVELSKETCH)
 
@@ -187,6 +168,9 @@
 dist-package-android:
 	$(MAKE_DIST) package android
 
+dist-package-emscripten:
+	$(MAKE_DIST) package emscripten
+
 dist-copy-package-linux:
 	$(MAKE_DIST) copy-package linux
 
@@ -202,6 +186,9 @@
 dist-copy-package-android:
 	$(MAKE_DIST) copy-package android
 
+dist-copy-package-emscripten:
+	$(MAKE_DIST) copy-package emscripten
+
 dist-upload-linux:
 	$(MAKE_DIST) upload linux
 
@@ -216,6 +203,12 @@
 
 dist-upload-android:
 	$(MAKE_DIST) upload android
+
+dist-upload-emscripten:
+	$(MAKE_DIST) upload emscripten
+
+dist-deploy-emscripten:
+	$(MAKE_DIST) deploy emscripten
 
 dist-package-all:
 	$(MAKE) dist-package-linux
@@ -223,6 +216,7 @@
 	$(MAKE) dist-package-win64
 	$(MAKE) dist-package-mac
 	$(MAKE) dist-package-android
+	$(MAKE) dist-package-emscripten
 
 dist-copy-package-all:
 	$(MAKE) dist-copy-package-linux
@@ -230,6 +224,7 @@
 	$(MAKE) dist-copy-package-win64
 	$(MAKE) dist-copy-package-mac
 	$(MAKE) dist-copy-package-android
+	$(MAKE) dist-copy-package-emscripten
 
 dist-upload-all:
 	$(MAKE) dist-upload-linux
@@ -237,8 +232,12 @@
 	$(MAKE) dist-upload-win64
 	$(MAKE) dist-upload-mac
 	$(MAKE) dist-upload-android
-
-dist-release-all: dist-package-all dist-copy-package-all dist-upload-all
+	$(MAKE) dist-upload-emscripten
+
+dist-deploy-all:
+	$(MAKE) dist-deploy-emscripten
+
+dist-release-all: dist-package-all dist-copy-package-all dist-upload-all dist-deploy-all
 
 package-all: dist-package-all
 
@@ -246,4 +245,6 @@
 
 upload-all: dist-upload-all
 
+deploy-all: dist-deploy-all
+
 release-all: dist-release-all

=== src/game_em/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Emerald Mine game engine is based on:
# Emerald Mine for X11 (c) 2000,2001 David Tritscher
# -----------------------------------------------------------------------------
# src/game_em/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	cave.c		\
	convert.c	\
	graphics.c	\
	init.c		\
	game.c		\
	logic.c		\
	reademc.c

OBJS =	cave.o		\
	convert.o	\
	graphics.o	\
	init.o		\
	game.o		\
	logic.o		\
	reademc.o

GAME_EM = game_em.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_EM)

$(GAME_EM): $(OBJS)
	$(AR) cr $(GAME_EM) $(OBJS)
	$(RANLIB) $(GAME_EM)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_EM)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
rocksndiamonds (4.3.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Mar 2024 17:49:51 +0100

## rocksndiamonds 4.4.0.5%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                libsdl2-image-dev,
                libsdl2-mixer-dev,
                libsdl2-net-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/rocksndiamonds
 Vcs-Git: https://salsa.debian.org/games-team/rocksndiamonds.git
 Homepage: https://artsoft.org
-Rules-Requires-Root: no
 
 Package: rocksndiamonds
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LEVEL_DIR := /usr/share/games/rocksndiamonds
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_auto_build:
 	touch src/conf_*.h
